<div class="carded">
    <div class="top-bg warn"></div>

    <div class="center">
        <div class="header">
            <h2 primary>Listado de Trámites</h2>           
        </div>

        <div class="content-card">
            <perfect-scrollbar>
                <mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
                    <ng-container matColumnDef="idflujo" class="make-gold">
                        <mat-header-cell *matHeaderCellDef>IdFlujo</mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.idflujo }} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="usuario_responsable">
                        <mat-header-cell *matHeaderCellDef> Usuario Responsable </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.usuario_responsable }} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="nombre_tarea">
                        <mat-header-cell *matHeaderCellDef> Tarea </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.nombre_tarea}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="fecha_inicio">
                        <mat-header-cell *matHeaderCellDef> Fecha Inicio </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.fecha_inicio | date: 'dd/MM/yyyy'}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="fecha_termino">
                        <mat-header-cell *matHeaderCellDef> Fecha Termino </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.fecha_termino | date: 'dd/MM/yyyy'}} </mat-cell>
                    </ng-container>                  

                    <ng-container matColumnDef="tipotramite">
                        <mat-header-cell *matHeaderCellDef> Tipo Trámite </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.tipotramite}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="monto">
                        <mat-header-cell *matHeaderCellDef> Monto </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.monto | number : '1.2-2'}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="flujo">
                        <mat-header-cell *matHeaderCellDef>Flujo</mat-header-cell>
                       
                        <mat-cell *matCellDef="let element" >
                            <button class="w-100" style="margin-right:5px" mat-button color="info" (click)="openDialogFlujo(element)">Ver Flujo</button>  
                        </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="detalle">
                        <mat-header-cell *matHeaderCellDef>Detalle</mat-header-cell>
                       
                        <mat-cell *matCellDef="let element" >                        
                            <button class="w-100" mat-button color="info" (click)="openDialogTramite(element.idflujo)">Ver Trámite</button>
                        </mat-cell>
                    </ng-container>
                    
                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>                    
                    <mat-row [ngClass]="{'make-gold': row.idtarea == 6}" *matRowDef="let row; columns: displayedColumns;"></mat-row>
                </mat-table>
            </perfect-scrollbar>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>